<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:tns="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Methods.GetFileObject" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Methods.GetFileObject" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Messages" />
  <xs:complexType name="GetFileObjectRequest">
    <xs:sequence>
      <xs:element minOccurs="0" name="LoadFileContents" type="xs:boolean" />
      <xs:element minOccurs="0" name="ObjectId" type="xs:long" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="GetFileObjectRequest" nillable="true" type="tns:GetFileObjectRequest" />
  <xs:complexType name="GetFileObjectResponse">
    <xs:complexContent mixed="false">
      <xs:extension xmlns:q1="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Messages" base="q1:BaseResponse">
        <xs:sequence>
          <xs:element minOccurs="0" name="FileObject" nillable="true" type="tns:FileObject" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:element name="GetFileObjectResponse" nillable="true" type="tns:GetFileObjectResponse" />
  <xs:complexType name="FileObject">
    <xs:sequence>
      <xs:element name="_AccessRights" nillable="true" type="xs:string" />
      <xs:element name="_FileContents" nillable="true" type="xs:base64Binary" />
      <xs:element name="_FileExtension" nillable="true" type="xs:string" />
      <xs:element name="_FileHash" nillable="true" type="xs:string" />
      <xs:element name="_FileSize" type="xs:long" />
      <xs:element name="_ObjectId" type="xs:long" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="FileObject" nillable="true" type="tns:FileObject" />
</xs:schema>